=== debian/changelog ===
intel-vc-intrinsics (0.1.0-3) unstable; urgency=medium

  * 0001-add-PVCXT_A0-platfrom.patch: Add support for PVCXT_A0, fix i-g-
    c build.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Apr 2022 10:20:59 +0300

intel-vc-intrinsics (0.1.0-2) unstable; urgency=medium

  * Build with llvm-12 for intel-graphics-compiler.
  * control: Add Conflicts/Provides/Replaces: intel-vc-intrinsics-x.y-
    dev, also Provides intel-vc-intrinsics-12-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Apr 2022 16:04:48 +0300

intel-vc-intrinsics (0.1.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Check llvm version from build-deps.
  * watch: Updated.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Feb 2022 15:19:44 +0200

intel-vc-intrinsics (0+git20210816-2) unstable; urgency=medium

  * control, rules: Build with llvm-13.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 11:10:35 +0200

intel-vc-intrinsics (0+git20210816-1) unstable; urgency=medium

  * Initial release (Closes: #992254)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Sep 2021 20:41:23 +0300
