=== debian/control ===
Source: intel-vc-intrinsics
Section: libs
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 llvm-12-dev,
 zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/intel/vc-intrinsics
Vcs-Browser: https://salsa.debian.org/opencl-team/intel-vc-intrinsics
Vcs-Git: https://salsa.debian.org/opencl-team/intel-vc-intrinsics.git
Rules-Requires-Root: no

Package: intel-vc-intrinsics-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 intel-vc-intrinsics-x.y-dev,
Replaces:
 intel-vc-intrinsics-x.y-dev,
Provides:
 intel-vc-intrinsics-12-dev,
 intel-vc-intrinsics-x.y-dev,
Description: Intel Vector Compute Intrinsics -- development files
 Vector Compute Intrinsics project contains a set of new intrinsics
 on top of core LLVM IR instructions that represent SIMD semantics of
 a program targeting GPU.
