## intel-vc-intrinsics 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
       C CXX
   )
 
-  set(CMAKE_CXX_STANDARD 14)
   set(CMAKE_CXX_STANDARD_REQUIRED OFF)
 
   find_package(LLVM REQUIRED HINTS "${LLVM_CMAKE_PATH}")
@@ -36,6 +35,12 @@
   )
   include(AddLLVM)
   include(HandleLLVMOptions)
+
+  if (LLVM_PACKAGE_VERSION GREATER_EQUAL 14)
+    set(CMAKE_CXX_STANDARD 17)
+  else ()
+    set(CMAKE_CXX_STANDARD 14)
+  endif()
 
   include_directories("${LLVM_INCLUDE_DIR}")
   link_directories("${LLVM_LIBRARY_DIR}")
