=== debian/changelog ===
intel-vc-intrinsics (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Sep 2022 13:05:08 +0300

intel-vc-intrinsics (0.5.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Sep 2022 12:09:34 +0300

intel-vc-intrinsics (0.5.0-2) experimental; urgency=medium

  * Provide a versioned virtual package.
  * Build with llvm-14.  (Closes: #1012329)
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Aug 2022 01:52:24 +0200

intel-vc-intrinsics (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Aug 2022 16:38:06 +0300

intel-vc-intrinsics (0.4.2-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch back to llvm-11.  (Closes: #1012183)
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Update Lintian overrides.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jun 2022 22:55:58 +0200

intel-vc-intrinsics (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * 0001-add-PVCXT_A0-platfrom.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 May 2022 14:42:49 +0300
