=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Uploaders:
+ Timo Aaltonen <tjaalton@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake,
- llvm-12-dev,
+ llvm-14-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/intel/vc-intrinsics
 Vcs-Browser: https://salsa.debian.org/opencl-team/intel-vc-intrinsics
 Vcs-Git: https://salsa.debian.org/opencl-team/intel-vc-intrinsics.git
@@ -21,7 +23,7 @@
 Replaces:
  intel-vc-intrinsics-x.y-dev,
 Provides:
- intel-vc-intrinsics-12-dev,
+ intel-vc-intrinsics-${llvm:Version}-dev (= ${binary:Version}),
  intel-vc-intrinsics-x.y-dev,
 Description: Intel Vector Compute Intrinsics -- development files
  Vector Compute Intrinsics project contains a set of new intrinsics
