## intel-vc-intrinsics 0.8.1

=== debian/changelog ===
intel-vc-intrinsics (0.8.1-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Mark as Multi-Arch: same.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 12:47:10 +0200
