=== debian/changelog ===
intel-vc-intrinsics (0.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Jan 2023 19:25:18 +0200
