=== debian/changelog ===
intel-vc-intrinsics (0.13.0-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:50:31 +0200

intel-vc-intrinsics (0.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Aug 2023 10:04:51 +0300
