=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-vc-intrinsics
 Section: libs
 Priority: optional
-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
@@ -17,6 +18,7 @@
 
 Package: intel-vc-intrinsics-dev
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts:
  intel-vc-intrinsics-x.y-dev,
