## intel-vc-intrinsics 0.18.0

=== debian/changelog ===
intel-vc-intrinsics (0.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Apr 2024 19:04:59 +0300
