=== debian/changelog ===
intel-vc-intrinsics (0.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 06 Aug 2024 09:21:45 +0300
