## intel-vc-intrinsics 0.22.1

=== debian/changelog ===
intel-vc-intrinsics (0.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Mar 2025 08:44:18 +0200
