## intel-vc-intrinsics 0.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,13 +12,12 @@
 
 set(LLVM_GENX_INTRINSICS_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR})
 
+option(LLVM_GENX_INTRINSICS_IN_TREE_INSTALL "Do install after in-tree build" FALSE)
+
 # check if we build inside llvm or not
 if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
   get_filename_component(LLVM_CMAKE_PATH ${LLVM_DIR} ABSOLUTE BASE_DIR ${CMAKE_BINARY_DIR})
   set(BUILD_EXTERNAL YES)
-  if(NOT DEFINED INSTALL_REQUIRED)
-    set(INSTALL_REQUIRED YES)
-  endif()
   project(LLVM_GenXIntrinsics
     VERSION
       ${LLVM_GENX_INTRINSICS_VERSION}
