=== GenXIntrinsics/lib/GenXIntrinsics/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,10 @@
   Core
   Analysis
   )
+
+if(${LLVM_VERSION_MAJOR} VERSION_GREATER_EQUAL 21)
+  list(APPEND LLVM_COMPONENTS TargetParser)
+endif()
 
 set(SRC_LIST
   GenXIntrinsics.cpp
