=== debian/changelog ===
intel-vc-intrinsics (0.23.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Aug 2025 11:17:59 +0300
