## intel-vc-intrinsics 0.25.0

=== debian/changelog ===
intel-vc-intrinsics (0.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Feb 2026 20:52:16 +0200
